Bug 119342 - 2.1 U4 beta 0311 fails to install to Adaptec 7901B
2.1 U4 beta 0311 fails to install to Adaptec 7901B
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kudzu (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-29 12:43 EST by Wendy Hung
Modified: 2014-03-16 22:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 15:22:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci output (1.23 KB, text/plain)
2004-04-01 11:12 EST, Wendy Hung
no flags Details
lspci -n output (615 bytes, text/plain)
2004-04-01 11:14 EST, Wendy Hung
no flags Details
syslog (8.59 KB, text/plain)
2004-04-01 11:15 EST, Wendy Hung
no flags Details

  None (edit)
Description Wendy Hung 2004-03-29 12:43:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; 
H010818)

Description of problem:
Unable to install 2.1 U4 beta0316 on a x306 with SCSI drives (Adaptec 
7901B controller).

Installation works with 2.1 Update 3.
 




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install 2.1 U4 beta0311 on x306.
2. At Partitioning screen, attempt to setup partitions (using 
automatic patitioning).

    

Actual Results:  "No valid devices were found" message appears.
lsmod does not show the aic79xx driver.  

Expected Results:  Installer loads the aic79xx driver automatically.

Additional info:

This can be worked around by building a device driver disk from CD1 
and using the "linux dd" option on install.   The user can then 
switch to a bash prompt prior to setting up the partions and issue a 
modprobe aic79xxx.  By swapping back to X-windows the install can 
continue normally at this point.
Comment 1 Jeremy Katz 2004-03-30 17:34:36 EST
The driver is in the initrd used for CD booting.  What's the output of
lspci and lspci -n?  Also, are you booting from CD or floppy (if you
boot from floppy, you need to boot with linux dd and also supply the
drvblock.img when prompted)?
Comment 2 Wendy Hung 2004-04-01 11:12:41 EST
Created attachment 99042 [details]
lspci output
Comment 3 Wendy Hung 2004-04-01 11:14:05 EST
Created attachment 99043 [details]
lspci -n output
Comment 4 Wendy Hung 2004-04-01 11:15:40 EST
Created attachment 99044 [details]
syslog
Comment 5 Jeremy Katz 2004-04-02 18:53:45 EST
It's not in the pcitable
Comment 6 Bill Nottingham 2004-04-05 15:22:41 EDT
Fixed in 0.99.42.3.2-1.

Note You need to log in before you can comment on or make changes to this bug.